<?php

/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package ThemaPuro
 */

get_header();
?>
<div class="container">
	<div class="row padding">
	<?php $show_hide_setting = get_theme_mod('sidebar_show_hide', 'show');
	if ($show_hide_setting == 'show') : ?>
		<main id="primary" class="site-main col-md-8">
	<?php endif;?>
			<?php if (have_posts()) :
				if (is_home() && !is_front_page()) : ?>
					<header>
						<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
					</header>
			<?php
				endif;
				/* Start the Loop */
				while (have_posts()) : the_post();

					get_template_part('template-parts/content', get_post_type());

				endwhile;
			endif
			?>
			<div class="inpagina">
				<?php wp_link_pages(); ?>
				<?php the_posts_pagination(array(
					'mid_size'  => 2,
					'prev_text' => __(' < ', 'themapuro'),
					'next_text' => __(' > ', 'themapuro'),
				)); ?>
			</div>
		</main><!-- #main -->

		<?php get_sidebar(); ?>
  
	</div><!--row-->
</div><!--container-->
<?php get_footer();
