<?php

/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package ThemaPuro
 */
get_header();
?>
<div class="container">
	<div class="row">
		<?php $show_hide_setting = get_theme_mod('sidebar_show_hide', 'show');
	    	if ($show_hide_setting == 'show') : ?>
			<div class="site-main col-md-8">
			<?php endif; ?>
			<div class="breadcrumb"><?php themapuro_get_breadcrumb(); ?></div>
			<main id="primary">
				<?php while (have_posts()) : the_post(); ?>
					<h2 class="card-title-single"><?php the_title(); ?></h2>
					<div class="post-thumbnail-single">
						<?php the_post_thumbnail(); ?>
					</div>
					<?php the_content(); ?>
					<p class="card-category"><small class="text-muted"><?php the_category(); ?></small></p>
				<?php // If comments are open or we have at least one comment, load up the comment template.
					if (comments_open() || get_comments_number()) :
						comments_template();
					endif;
				    endwhile; // End of the loop.
				?>
				<?php 
				paginate_comments_links(array(
					'screen_reader_text'=> __('Pagination','themapuro'),
					'prev_text'=> __('Previous','themapuro'),
					'next_text'=> __('Next','themapuro'),
				));
				?>
			</main><!-- #main -->
			</div>
			<?php get_sidebar(); ?>
		</div><!--row-->
</div><!--container-->
<?php get_footer();
